[Overview][Constants][Classes][Index] | Reference for unit 'bufstream' (#fcl)

# TWriteBufStream.Seek

Set stream position.

## Declaration

Source position: bufstream.pp line 69

`public function TWriteBufStream.Seek(`
`const Offset: Int64;`
`Origin: TSeekOrigin`
`):Int64; override;`

## Arguments

`Offset` |  | Offset (in bytes) of origin
`Origin` |  | Origin of seek operation

## Function result

New position

## Description

Seek always raises an EStreamError exception, except when the seek operation would not alter the current position.

A later implementation may perform a proper seek operation by flushing the buffer and doing a seek on the source stream.

## See also

TWriteBufStream.Write |  | Write data to the stream
TWriteBufStream.Read |  | Read data from the stream
TReadBufStream.Seek |  | Set location in the buffer

Documentation generated on: Feb 26 2014